# Class DoubleGeneric.Builder<T>

java.lang.Object
com.ryanharter.auto.value.gson.example.wildgenerics.DoubleGeneric.Builder<T>

All Implemented Interfaces:
  `GenericBase.Builder<T, DoubleGeneric.Builder<T>>`

Enclosing class:
  `DoubleGeneric<T>`

public abstract static class DoubleGeneric.Builder<T> extends Object implements GenericBase.Builder<T, DoubleGeneric.Builder<T>>

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`abstract DoubleGeneric<T>`
`build()`
`abstract DoubleGeneric.Builder<T>`
`topLevelGeneric(T topLevel)`
`abstract DoubleGeneric.Builder<T>`
`topLevelGenericCollection(List<T> topLevel)`
`abstract DoubleGeneric.Builder<T>`
`topLevelNonGeneric(String topLevel)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface GenericBase.Builder

`collection, generic, notGeneric`

## Constructor Details

### Builder

public Builder()

## Method Details

### topLevelNonGeneric

public abstract DoubleGeneric.Builder<T> topLevelNonGeneric(String topLevel)

### topLevelGeneric

public abstract DoubleGeneric.Builder<T> topLevelGeneric(T topLevel)

### topLevelGenericCollection

public abstract DoubleGeneric.Builder<T> topLevelGenericCollection(List<T> topLevel)

### build

public abstract DoubleGeneric<T> build()